#!/bin/bash
# script permettant de mettre en place les dépôts wine
. /usr/share/sambaedu/includes/config.inc.sh
dpkg --add-architecture i386
flag=0
#Download and install the repository key:
if [ ! -f "/etc/apt/sources.list.d/winehq.list" ]; then
	curl https://dl.winehq.org/wine-builds/winehq.key | gpg -o /etc/apt/trusted.gpg.d/winehq.gpg --dearmor --yes || exit 1
	flag=1
fi
debian_version=$(cat /etc/os-release | grep "VERSION_CODENAME" | cut -d= -f2)
if [ ! -f "/etc/apt/sources.list.d/winehq.list" ]; then
	echo "deb https://dl.winehq.org/wine-builds/debian/ $debian_version main" | tee /etc/apt/sources.list.d/winehq.list
	flag=1
elif ! grep -q "$debian_version" /etc/apt/sources.list.d/winehq.list; then
	sed -i "s/bullseye/$debian_version"  /etc/apt/sources.list.d/winehq.list
	flag=1
fi
if [ "$flag" == "1" ]; then
	DEBIAN_FRONTEND=noninteractive apt-get update 
	DEBIAN_FRONTEND=noninteractive apt-get install -y --install-recommends winehq-stable winetricks
fi

# mise en place lutris (facultatif)
#	if [ ! -f "/etc/apt/sources.list.d/lutris.list" ]; then
#		echo "deb http://download.opensuse.org/repositories/home:/strycore/Debian_11/ ./" | tee /etc/apt/sources.list.d/lutris.list
#		wget -q https://download.opensuse.org/repositories/home:/strycore/Debian_11/Release.key -O- | apt-key add -
#	fi
